# pypocketutils

🚀 A pocket-sized Python module loaded with powerful, ready-to-use utility functions.  
Perfect for students, developers, and anyone who wants to avoid rewriting basic logic again and again.

---

## 📦 Installation

```bash
pip install pypocketutils

📚 Available Functions
| Function                      | Description                                            |
| ----------------------------- | ------------------------------------------------------ |
| `is_palindrome(s)`            | Checks if a string or number is a palindrome           |
| `factorial(n)`                | Calculates the factorial of a non-negative integer     |
| `fibonacci(n)`                | Generates the first `n` Fibonacci numbers as a list    |
| `is_prime(num)`               | Determines if a number is prime                        |
| `gcd(a, b)`                   | Finds the Greatest Common Divisor of two numbers       |
| `lcm(a, b)`                   | Finds the Least Common Multiple of two numbers         |
| `sum_of_digits(n)`            | Returns the sum of all digits in a number              |
| `is_armstrong(n)`             | Checks if a number is an Armstrong number              |
| `reverse_string(s)`           | Reverses the characters in a string                    |
| `toggle_case(s)`              | Toggles the case of each character in a string         |
| `count_vowels(s)`             | Counts the number of vowels in a string                |
| `are_anagrams(s1, s2)`        | Checks if two strings are anagrams of each other       |
| `decimal_to_binary(n)`        | Converts a decimal number to a binary string           |
| `decimal_to_hex(n)`           | Converts a decimal number to a hexadecimal string      |
| `binary_to_decimal(b)`        | Converts a binary string to a decimal number           |
| `hex_to_decimal(h)`           | Converts a hexadecimal string to a decimal number      |
| `find_duplicates(lst)`        | Returns a list of duplicate elements in a list         |
| `flatten_list(nested_list)`   | Flattens a nested list of any depth into a single list |
| `chunk_list(lst, chunk_size)` | Splits a list into smaller chunks of a given size      |


💻 Example Usage
python
Copy code
from pypocketutils import is_palindrome, factorial, fibonacci, is_prime

print(is_palindrome("madam"))      # True
print(factorial(5))                # 120
print(fibonacci(6))                # [0, 1, 1, 2, 3, 5]
print(is_prime(17))                # True

🎯 Who Should Use This?
✨ Students preparing for coding interviews or tests

🔧 Developers who want quick access to basic operations

🧪 Hackers who love clean and reusable functions

🐍 Python beginners wanting to learn from examples


🤝 Contributing
Have a cool utility in mind?
Fork the repo (coming soon), raise an issue, or submit a pull request!

📄 License
MIT License
Crafted with 💖 by Prathiksha J

🌐 Links
📦 Project on PyPI
💻 GitHub (coming soon)